;************************************************************************************************************************************
; ErrorTrap.asm : Code file for fatal error trapping code																			*
;************************************************************************************************************************************
	
	#include "General.inc"		;Include project settings
	#include "Display.inc"		;Error code gets displayed

;************************************************************************************************************************************
; Equ's and Defines																													*
;************************************************************************************************************************************

;...Add Equ's and defines here...

;************************************************************************************************************************************
; Exports																															*
;************************************************************************************************************************************

	;Registers
	;...Add register exports here...

	;Functions
	GLOBAL	ErrorTrapW

;************************************************************************************************************************************
; Variables																															*
;************************************************************************************************************************************

;...Add variables here...

;************************************************************************************************************************************
PROG1	CODE	;Code 																												*
;************************************************************************************************************************************
; ErrorTrapW: Displays "E XX" where XX is the value in W (the error code) and puts the cpu in an endless loop, trapping the fatal	*
;			  error.																												*
;			  Entry -> Bank	X																										*
;			  Exit	-> Never																										*
;************************************************************************************************************************************
ErrorTrapW

	BANKSEL	DisplayValue		;Bank 1
	MOVWF	DisplayValue		;Copy the error code to DisplayValue
	CALL	DisplayConvert		;And convert it to decimal (Returns in Bank 1)

	MOVLW	0x0E				
	DisplaySetW DisplayFan		;Display 'E' on the Fan display

	GOTO	$					;And be stuck in an endless loop

;************************************************************************************************************************************
 
	END		
