;************************************************************************************************************************************
; ErrorTrap.inc : Header file for the fatal error trapping code																		*
;************************************************************************************************************************************

#ifndef __ERRORTRAP_INC__
#define __ERRORTRAP_INC__

;************************************************************************************************************************************
; Equ's and Defines																													*
;************************************************************************************************************************************

#Define 	cErrorTrap_Eeprom			0x01	;Error code for a fatal Eeprom error
#Define 	cErrorTrap_Preset			0x02	;iFanSpeedCalcEepromAddr was called with an invalid preset number
#Define 	cErrorTrap_PresetTimeOut	0x03	;fFanSpeedBusy remained set too long

;************************************************************************************************************************************
; Imports																															*
;************************************************************************************************************************************

	;Registers
	;...Add Register imports here...	

	;Functions
	EXTERN	ErrorTrapW					;Displays the error code in W and puts the cpu in an endless loop - trapping a fatal error

;************************************************************************************************************************************
; Macros																															*
;************************************************************************************************************************************

;...Add Macro's here...

;************************************************************************************************************************************
 
#endif __ERRORTRAP_INC__
