;************************************************************************************************************************************
; General.inc : The main header file for the fanbus project																			*
;************************************************************************************************************************************

#ifndef __GENERAL_INC__
#define __GENERAL_INC__

;************************************************************************************************************************************

	LIST		P=16F870
	#include 	<P16F870.INC>

	ERRORLEVEL	-302				;Disable bank bits errors

;************************************************************************************************************************************
; Macro's																															*
;************************************************************************************************************************************
; CLI: Clear interrupts, disables interrupts																						*
;************************************************************************************************************************************
CLI			macro

	BCF	INTCON, GIE

	endm

;************************************************************************************************************************************
; STI: Set interrupts, enables interrupts																							*
;************************************************************************************************************************************
STI			macro

	BSF	INTCON, GIE

	endm
	
;************************************************************************************************************************************

#endif __GENERAL_INC__
